package com.waimai.web.admin.service;

import com.waimai.web.admin.domain.OrderFoods;

import java.util.List;

/**
 * 订单商品Service接口
 * 
 * @author callmeyan
 * @date 2023-03-24
 */
public interface IOrderFoodsService 
{
    /**
     * 查询订单商品
     * 
     * @param id 订单商品主键
     * @return 订单商品
     */
    public OrderFoods selectOrderFoodsById(Long id);

    /**
     * 查询订单商品列表
     * 
     * @param orderFoods 订单商品
     * @return 订单商品集合
     */
    public List<OrderFoods> selectOrderFoodsList(OrderFoods orderFoods);

    /**
     * 新增订单商品
     * 
     * @param orderFoods 订单商品
     * @return 结果
     */
    public int insertOrderFoods(OrderFoods orderFoods);

    /**
     * 修改订单商品
     * 
     * @param orderFoods 订单商品
     * @return 结果
     */
    public int updateOrderFoods(OrderFoods orderFoods);

    /**
     * 批量删除订单商品
     * 
     * @param ids 需要删除的订单商品主键集合
     * @return 结果
     */
    public int deleteOrderFoodsByIds(Long[] ids);

    /**
     * 删除订单商品信息
     * 
     * @param id 订单商品主键
     * @return 结果
     */
    public int deleteOrderFoodsById(Long id);
}
